Bug 174011 - curl ignores end of URL if URL is a directory and not / terminated
Summary: curl ignores end of URL if URL is a directory and not / terminated
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: curl   
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-23 16:56 UTC by Tom Wood
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-24 12:47:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tom Wood 2005-11-23 16:56:11 UTC
Description of problem: curl doesn't process URL properly if it terminates in a
directory without a trailing "/"


Version-Release number of selected component (if applicable):
curl-7.13.1-3


How reproducible: every time


Steps to Reproduce:
1. run "curl -l ftp://whatever/wherever/blah"
2. see directory listing for ftp://whatever/wherever, not the blah directory
3. be puzzled
  
Actual results:
Contents of parent directory listed

Expected results:
Contents of directory that the URL points to listed

Additional info:

It seems that the blah is completely ignored; whether or not blah exists (!),
the parent directory is listed unless the URL terminates with a "/", in which
case curl does the right thing.

Comment 1 Daniel Stenberg 2005-11-23 22:00:56 UTC
This "bug" was filed in curl's own bug tracker as well, and I figure that is a
more suitable place:

http://sourceforge.net/tracker/index.php?func=detail&aid=1364835&group_id=976&atid=100976

Comment 2 Ivana Varekova 2005-11-24 12:47:55 UTC
This problem is being solved in upstream. 


Note You need to log in before you can comment on or make changes to this bug.